pcl::LinearizedMaps Class Reference

Stores a set of linearized maps. More...

`#include <pcl/recognition/linemod.h>`

## Public Member Functions

| LinearizedMaps ()
| Constructor. More...
virtual | ~LinearizedMaps ()
| Destructor. More...
std::size_t | getWidth () const
| Returns the width of the linearized map. More...
std::size_t | getHeight () const
| Returns the height of the linearized map. More...
std::size_t | getStepSize () const
| Returns the step-size used to construct the linearized map. More...
std::size_t | getMapMemorySize () const
| Returns the size of the memory map. More...
void | initialize (const std::size_t width, const std::size_t height, const std::size_t step_size)
| Initializes the linearized map. More...
void | releaseAll ()
| Releases the internal memory. More...
unsigned char * | operator() (const std::size_t col_index, const std::size_t row_index)
| Operator to access elements of the linearized map by column and row index. More...
unsigned char * | getOffsetMap (const std::size_t col_index, const std::size_t row_index)
| Returns a linearized map starting at the specified position. More...

## Detailed Description

Stores a set of linearized maps.

Author
  Stefan Holzer

Definition at line 199 of file linemod.h.

## Constructor & Destructor Documentation

## LinearizedMaps()

pcl::LinearizedMaps::LinearizedMaps | ( |  | ) |

inline

Constructor.

Definition at line 203 of file linemod.h.

## ~LinearizedMaps()

virtual pcl::LinearizedMaps::~LinearizedMaps | ( |  | ) |

inline virtual

Destructor.

Definition at line 208 of file linemod.h.

## Member Function Documentation

## getHeight()

std::size_t pcl::LinearizedMaps::getHeight | ( |  | ) | const

inline

Returns the height of the linearized map.

Definition at line 218 of file linemod.h.

## getMapMemorySize()

std::size_t pcl::LinearizedMaps::getMapMemorySize | ( |  | ) | const

inline

Returns the size of the memory map.

Definition at line 226 of file linemod.h.

## getOffsetMap()

unsigned char* pcl::LinearizedMaps::getOffsetMap | ( | const std::size_t | col_index,
|  | const std::size_t | row_index
| ) |  |

inline

Returns a linearized map starting at the specified position.

Parameters

  [in] | col_index | the column index at which the returned map starts.
  [in] | row_index | the row index at which the returned map starts.

Definition at line 284 of file linemod.h.

## getStepSize()

std::size_t pcl::LinearizedMaps::getStepSize | ( |  | ) | const

inline

Returns the step-size used to construct the linearized map.

Definition at line 222 of file linemod.h.

## getWidth()

std::size_t pcl::LinearizedMaps::getWidth | ( |  | ) | const

inline

Returns the width of the linearized map.

Definition at line 214 of file linemod.h.

## initialize()

void pcl::LinearizedMaps::initialize | ( | const std::size_t | width,
|  | const std::size_t | height,
|  | const std::size_t | step_size
| ) |  |

inline

Initializes the linearized map.

Parameters

  [in] | width | the width of the source map.
  [in] | height | the height of the source map.
  [in] | step_size | the step-size used to sample the source map.

Definition at line 234 of file linemod.h.

References pcl::aligned_malloc().

## operator()()

unsigned char* pcl::LinearizedMaps::operator() | ( | const std::size_t | col_index,
|  | const std::size_t | row_index
| ) |  |

inline

Operator to access elements of the linearized map by column and row index.

Parameters

  [in] | col_index | the column index.
  [in] | row_index | the row index.

Definition at line 274 of file linemod.h.

## releaseAll()

void pcl::LinearizedMaps::releaseAll | ( |  | ) |

inline

Releases the internal memory.

Definition at line 255 of file linemod.h.

References pcl::aligned_free().

The documentation for this class was generated from the following file:

- pcl/recognition/linemod.h